[arch-commits] Commit in python-logilab-common/repos/community-any (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Tue May 12 19:12:39 UTC 2020


    Date: Tuesday, May 12, 2020 @ 19:12:38
  Author: felixonmars
Revision: 627164

archrelease: copy trunk to community-any

Added:
  python-logilab-common/repos/community-any/PKGBUILD
    (from rev 627163, python-logilab-common/trunk/PKGBUILD)
Deleted:
  python-logilab-common/repos/community-any/PKGBUILD

----------+
 PKGBUILD |   78 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 39 insertions(+), 39 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-05-12 19:12:30 UTC (rev 627163)
+++ PKGBUILD	2020-05-12 19:12:38 UTC (rev 627164)
@@ -1,39 +0,0 @@
-# Maintainer: Angel Velasquez <angvp at archlinux.org>
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
-# Contributor: Alexander Fehr <pizzapunk gmail com>
-
-pkgname=python-logilab-common
-pkgver=1.6.1
-pkgrel=1
-pkgdesc="Useful miscellaneous modules used by Logilab projects"
-arch=('any')
-url="https://www.logilab.org/project/logilab-common"
-license=('LGPL')
-depends=('python')
-optdepends=('python-six: for logilab.common.testlib')
-makedepends=('python-setuptools')
-checkdepends=('python-six' 'python-pytz')
-source=("https://pypi.io/packages/source/l/logilab-common/logilab-common-$pkgver.tar.gz")
-sha512sums=('7de98b679a7298b77a475b9994a364501dcb37c501a01de27c22a5d89271f0e8ba73be3f41419e9c92083514d2fa16d1d0425ebe4a3b1e86bb0ee0c7ab319839')
-
-prepare() {
-  cp -a logilab-common-$pkgver{,-py2}
-
-  sed -i 's/from cgi import escape/from html import escape/' logilab-common-$pkgver/logilab/common/ureports/html_writer.py
-}
-
-build() {
-  cd logilab-common-$pkgver
-  python setup.py build
-}
-
-check() {
-  cd logilab-common-$pkgver
-  PYTHONPATH="$PWD/build/lib:$PYTHONPATH" python bin/logilab-pytest || :
-}
-
-package() {
-  cd logilab-common-$pkgver
-  python setup.py install --optimize=1 --skip-build --prefix=/usr --root="$pkgdir"
-}

Copied: python-logilab-common/repos/community-any/PKGBUILD (from rev 627163, python-logilab-common/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-05-12 19:12:38 UTC (rev 627164)
@@ -0,0 +1,39 @@
+# Maintainer: Angel Velasquez <angvp at archlinux.org>
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
+# Contributor: Alexander Fehr <pizzapunk gmail com>
+
+pkgname=python-logilab-common
+pkgver=1.6.2
+pkgrel=1
+pkgdesc="Useful miscellaneous modules used by Logilab projects"
+arch=('any')
+url="https://www.logilab.org/project/logilab-common"
+license=('LGPL')
+depends=('python')
+optdepends=('python-six: for logilab.common.testlib')
+makedepends=('python-setuptools')
+checkdepends=('python-six' 'python-pytz')
+source=("https://pypi.io/packages/source/l/logilab-common/logilab-common-$pkgver.tar.gz")
+sha512sums=('c0761543f78f4a9e2682a41a3496cf6a34951342fcd8f698b71dcaf88c4104175ee6536c755af88905c34eecb589052b56a107968b42cd8d609ff1839dda205a')
+
+prepare() {
+  cp -a logilab-common-$pkgver{,-py2}
+
+  sed -i 's/from cgi import escape/from html import escape/' logilab-common-$pkgver/logilab/common/ureports/html_writer.py
+}
+
+build() {
+  cd logilab-common-$pkgver
+  python setup.py build
+}
+
+check() {
+  cd logilab-common-$pkgver
+  PYTHONPATH="$PWD/build/lib:$PYTHONPATH" python bin/logilab-pytest || :
+}
+
+package() {
+  cd logilab-common-$pkgver
+  python setup.py install --optimize=1 --skip-build --prefix=/usr --root="$pkgdir"
+}


More information about the arch-commits mailing list